<%@ Page Language="C#" AutoEventWireup="true" CodeFile="FetchXML.aspx.cs"
Inherits="FetchXml" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<script language="javascript" type="text/javascript"
src="xmlhttp.js"></script>
<script language="javascript" type="text/javascript">
  function LoadItemNames() {
    getXmlHttpRequestObject();
    xmlHttp.open("GET", "Items.xml", true);
    xmlHttp.onreadystatechange = function()
    {
           if (xmlHttp.readyState == 4) {
               // Jeśli kod stanu HTTP to 200, (czyli wszystko jest w porządku).
              if (xmlHttp.status == 200) {
              var xml = xmlHttp.responseXML.documentElement;
              // Zmienna itemList zawiera listę elementów.
              var itemList = xml.getElementsByTagName("Name");
              // Pobieranie odwołania do znacznika <select> — ddlItems.
              var ddlItems = document.getElementById("ddlItems");
              for(var i = 0; i < itemList.length; i++) {
                  // Tworzenie nowego znacznika <option>.
                  var newOption = document.createElement('option');
                 // Przypisanie wartości i tekstu do nowego znacznika.
                 newOption.value = itemList[i].firstChild.data;
                 newOption.text = itemList[i].firstChild.data;
                 // Dodawanie nowego elementu do znacznika <select> ddlItems.
                 ddlItems.options.add(newOption);
              }
          }
    }
  }
  xmlHttp.send(null);
}
function LoadItemText() {
     getXmlHttpRequestObject();
     xmlHttp.open("GET", "Items.xml", true);
     xmlHttp.onreadystatechange = function()
     {
             if (xmlHttp.readyState == 4) {
                  // Jeśli kod stanu HTTP to 200, (czyli wszystko jest w porządku).
                  if (xmlHttp.status == 200) {
                        document.getElementById("lblText").innerText = xmlHttp.responseText;
             }
         }
  }
  xmlHttp.send(null);
}
</script>
<head runat="server">
  <title>Przykład użycia obiektu XmlHttpRequest</title>
</head>
<body>
  <form id="form1" runat="server">
    <input type="button" id="btnLoadItemNames" value="Załaduj dane"
onclick="LoadItemNames();" />&nbsp;
<span id="spnItemNames">Elementy</span>
        <select id="ddlItems">
           <option value="">—————-</option>
        </select><br /><br />
        <input type="button" id="btnLoadItemText"
value="Załaduj XML jako tekst"
onclick="LoadItemText();" />&nbsp;
        <div id="lblText"></div>
  </form>
</body>
</html>
